import { Component, MouseEvent, KeyboardEvent } from 'react';
import type { ViewProps } from '@instructure/ui-view';
import type { CalendarDayProps, CalendarDayStyleProps } from './props';
/**
---
parent: Calendar
id: Calendar.Day
---
 **/
declare class Day extends Component<CalendarDayProps> {
    static readonly componentId = "Calendar.Day";
    static propTypes: import("@instructure/shared-types").PropValidators<keyof {
        children?: import("@instructure/shared-types").Renderable;
        date: string;
        label: string;
        interaction?: "enabled" | "disabled";
        isSelected?: boolean;
        isToday?: boolean;
        isOutsideMonth?: boolean;
        onClick?: (event: MouseEvent<ViewProps & Element>, date: {
            date: string;
        }) => void;
        onKeyDown?: (event: KeyboardEvent<ViewProps & Element>, data: {
            date: string;
        }) => void;
        elementRef?: (element: Element | null) => void;
        as?: import("@instructure/shared-types").AsElementType;
    }>;
    static allowedProps: readonly (keyof {
        children?: import("@instructure/shared-types").Renderable;
        date: string;
        label: string;
        interaction?: "enabled" | "disabled";
        isSelected?: boolean;
        isToday?: boolean;
        isOutsideMonth?: boolean;
        onClick?: (event: MouseEvent<ViewProps & Element>, date: {
            date: string;
        }) => void;
        onKeyDown?: (event: KeyboardEvent<ViewProps & Element>, data: {
            date: string;
        }) => void;
        elementRef?: (element: Element | null) => void;
        as?: import("@instructure/shared-types").AsElementType;
    })[];
    static defaultProps: {
        readonly interaction: "enabled";
        readonly isSelected: false;
        readonly isToday: false;
        readonly isOutsideMonth: false;
    };
    ref: Element | null;
    componentDidMount(): void;
    componentDidUpdate(): void;
    get makeStylesVariables(): CalendarDayStyleProps;
    get isDisabled(): boolean;
    get elementType(): "symbol" | "object" | "a" | "abbr" | "address" | "area" | "article" | "aside" | "audio" | "b" | "base" | "bdi" | "bdo" | "big" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "center" | "cite" | "code" | "col" | "colgroup" | "data" | "datalist" | "dd" | "del" | "details" | "dfn" | "dialog" | "div" | "dl" | "dt" | "em" | "embed" | "fieldset" | "figcaption" | "figure" | "footer" | "form" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "header" | "hgroup" | "hr" | "html" | "i" | "iframe" | "img" | "input" | "ins" | "kbd" | "keygen" | "label" | "legend" | "li" | "link" | "main" | "map" | "mark" | "menu" | "menuitem" | "meta" | "meter" | "nav" | "noscript" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "progress" | "q" | "rp" | "rt" | "ruby" | "s" | "samp" | "search" | "slot" | "script" | "section" | "select" | "small" | "source" | "span" | "strong" | "style" | "sub" | "summary" | "sup" | "table" | "template" | "tbody" | "td" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "track" | "u" | "ul" | "var" | "video" | "wbr" | "webview" | "animate" | "circle" | "clipPath" | "defs" | "desc" | "ellipse" | "feBlend" | "feColorMatrix" | "feComponentTransfer" | "feComposite" | "feConvolveMatrix" | "feDiffuseLighting" | "feDisplacementMap" | "feDistantLight" | "feDropShadow" | "feFlood" | "feFuncA" | "feFuncB" | "feFuncG" | "feFuncR" | "feGaussianBlur" | "feImage" | "feMerge" | "feMergeNode" | "feMorphology" | "feOffset" | "fePointLight" | "feSpecularLighting" | "feSpotLight" | "feTile" | "feTurbulence" | "filter" | "foreignObject" | "g" | "image" | "line" | "linearGradient" | "marker" | "mask" | "metadata" | "path" | "pattern" | "polygon" | "polyline" | "radialGradient" | "rect" | "stop" | "svg" | "switch" | "text" | "textPath" | "tspan" | "use" | "view" | "noindex" | "animateMotion" | "animateTransform" | "mpath" | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any> | import("react").FunctionComponent<Readonly<CalendarDayProps>> | import("react").ComponentClass<Readonly<CalendarDayProps>, any>;
    shouldApplyAriaSelected(): boolean;
    handleClick: (event: MouseEvent<ViewProps & Element>) => void;
    handleKeyDown: (event: KeyboardEvent<ViewProps & Element>) => void;
    handleElementRef: (el: Element | null) => void;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default Day;
export { Day };
//# sourceMappingURL=index.d.ts.map